Name:           gnome-autoar
Version:        0.2.4
Release:        3
Summary:        Creating and extracting archives
License:        LGPLv2+
URL:            https://git.gnome.org/browse/gnome-autoar
Source0:        https://download.gnome.org/sources/gnome-autoar/0.2/gnome-autoar-%{version}.tar.xz

Patch6000:      backport-0001-CVE-2021-28650.patch 
Patch6001:      backport-0002-CVE-2021-28650.patch

BuildRequires:  gcc vala pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0) gdb
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0) pkgconfig(libarchive)

%description
Automatic archives creating and extracting library.

%package devel
Summary:   development header files, libraries for application use the gnome-autoar package
Requires:  %{name} = %{version}-%{release}

%description devel
development header files, libraries for programs using the gnome-autoar library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%check
make check

%files
%license COPYING
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libgnome-autoar-0.so.0*
%{_libdir}/libgnome-autoar-gtk-0.so.0*

%files devel
%{_includedir}/gnome-autoar-0/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/
%{_datadir}/vala/vapi/*.vapi

%changelog
* Wed Apr 14 2021 Dehui Fan <fandehui1@huawei.com> - 0.2.4-3
- Type: CVE
- ID:   CVE-2021-28650 
- SUG:  NA
- DESC: fix CVE-2021-28650, remove CVE-2020-36241 

* Fri Mar 19 2021 Dehui Fan <fandehui1@huawei.com> - 0.2.4-2
Type: CVE
ID:   CVE-2020-36241
SUG:  NA
DESC: fix CVE-2020-36241

* Fri Jan 29 2021 yanglu <yanglu60@huawei.com> - 0.2.4-1
- update to 0.2.4

* Fri Mar 20 2020 songnnannan <songnannan2@huawei.com> - 0.2.3-4
- add gdb in buildrequires

* Tue Sep 17 2019 Lijin Yang <yanglijin@huawei.com> - 0.2.3-3
- Package init
